# TODO: utempter support
#
# Conditional build:
%bcond_without	256colors	# build without 256 color support
#
Summary:	Rxvt terminal with unicode support and some improvements
Summary(pl.UTF-8):	Terminal Rxvt z obsługą unicode i kilkoma usprawnieniami
Name:		urxvt
Version:	9.31
Release:	3
License:	GPL v3+
Group:		X11/Applications
Source0:	http://dist.schmorp.de/rxvt-unicode/rxvt-unicode-%{version}.tar.bz2
# Source0-md5:	3d0ec83705c9b9ff301a4b9965b3cd9f
Source1:	%{name}.desktop
Patch0:		broken-perl-5.38.patch
URL:		http://software.schmorp.de/
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	libptytty-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	sed >= 4.0
BuildRequires:	startup-notification-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
URxvt is a Rxvt modification which includes:
- unicode support
- xft font support (antialiasing)
- background pixmaps
- background tinting
- real transparency

%description -l pl.UTF-8
URxvt jest modyfikacją Rxvt uwzględniającą:
- obsługę unicode
- obsługę czcionek xft (antialiasing)
- możliwość ustawienia grafiki jako tła
- cieniowanie tła
- prawdziwą przezroczystość

%prep
%setup -q -n rxvt-unicode-%{version}
%patch0 -p1

%build
%{__aclocal} -I.
%{__autoheader}
%{__autoconf}
%configure \
%if %{with 256colors}
	--enable-256-color \
%endif
	--enable-everything \
	--enable-mousewheel \
	--enable-next-scroll \
	--enable-smart-resize \
	--with-term=rxvt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
echo '.so urxvtc.1' >$RPM_BUILD_ROOT%{_mandir}/man1/urxvtd.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes doc/README.xvt
%attr(755,root,root) %{_bindir}/urclock
%attr(755,root,root) %{_bindir}/urxvt*
%{_libdir}/%{name}
%{_desktopdir}/urxvt.desktop
%{_mandir}/man1/urclock.1*
%{_mandir}/man1/urxvt*.1*
%{_mandir}/man3/urxvtperl.3*
%{_mandir}/man7/urxvt.7*
%changelog
* Sun Jul 09 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/urxvt.git;a=log;h=master

* Sun Jul 09 2023 Jan Rękorajski <baggins@pld-linux.org> 9ecd7d6
- pull https://github.com/pld-linux/urxvt/pull/1 to fix broken locale with perl 5.38
- rel 3

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 19d25aa
- perl 5.38.0 rebuild

* Tue Jan 03 2023 Jan Palus <atler@pld-linux.org> 0a72770
- up to 9.31

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 8fa3017
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 057819b
- rebuild with perl 5.34.0

* Tue Nov 30 2021 Jakub Bogusz <qboosh@pld-linux.org> a1bcdda
- updated dependencies

* Sun Nov 28 2021 Jan Palus <atler@pld-linux.org> f6b674a
- up to 9.30

* Wed Nov 24 2021 Jan Palus <atler@pld-linux.org> 553b74c
- up to 9.29

* Fri May 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 0c931cd
- macros version for perl macros loaded

* Fri May 14 2021 Jan Palus <atler@pld-linux.org> d6ef87e
- remove tabbed_syntax patch dropped from spec in dbb4c91

* Fri May 14 2021 Jan Palus <atler@pld-linux.org> a5279b7
- up to 9.26

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> a3fd457
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e307791
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 9d3f0af
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 3711fbf
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sat Aug 26 2017 Jan Palus <atler@pld-linux.org> 8dce1a8
- use standard icon name for terminal

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6814024
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b7e44a8
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 59b1a2a
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 24 2016 Jan Palus <atler@pld-linux.org> 56116fc
- up to 9.22

